
Foreman - Bug #26405

Puppetclass index implicitly searches locations and organizations

03/19/2019 01:34 PM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Search   

Target version: 1.21.1   

Difficulty:  Fixed in Releases: 1.21.1, 1.22.0

Triaged: No Found in Releases: 1.21.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6591

  

Description

this can cause searches to be very slow, as the taxable_taxonomies table is joined twice

Related issues:

Related to Foreman - Bug #25097: Listing puppet classes fails after adding de... Closed

Associated revisions

Revision 5f50c1a1 - 03/21/2019 09:53 AM - Tomer Brisker

Fixes #26405 - Disable implicit puppetclass taxonomy search (#6591)

Otherwise, every search not specifing the field causes a double left

join of the taxable_taxonomies table.

History

#1 - 03/19/2019 01:40 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/6591 added

#2 - 03/20/2019 04:37 PM - Tomer Brisker

- Target version set to 1.21.1

#3 - 03/20/2019 04:46 PM - Tomer Brisker

- Found in Releases 1.21.0 added

#4 - 03/20/2019 04:47 PM - Tomer Brisker

- Related to Bug #25097: Listing puppet classes fails after adding default organization/location added

#5 - 03/21/2019 09:53 AM - Marek Hulán

- Fixed in Releases 1.22.0 added

#6 - 03/21/2019 10:02 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset 5f50c1a18da81f68d04cae6e0534434ab3ea0bf1.

#7 - 03/21/2019 10:05 AM - Tomer Brisker

- Fixed in Releases 1.21.1 added
